## phrog 0.45.0

=== debian/changelog ===
phrog (0.45.0-3) unstable; urgency=medium

  * d/rules: fix build on armel
    `phrog` currently fails to build on `armel`, blocking its migration to
    testing. this failure is likely caused by the system running out of
    memory while running the tests, so let's disable those on 32-bits
    architectures.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 27 Feb 2025 09:36:31 +0100

phrog (0.45.0-2) unstable; urgency=medium

  * debian: maintscripts: only invoke systemd if running.
    There are cases (e.g. image generation) where we install the packages
    without having `systemd` running. In those cases, calling
    `deb-systemd-invoke` returns an error, and so does the corresponding
    maintscript.
    Fix this by only calling `deb-systemd-invoke` when we know `systemd` is
    actually running.

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 22 Feb 2025 10:20:30 +0100

phrog (0.45.0-1) unstable; urgency=medium

  * New upstream version
  * debian: drop patches.
    They're all upstream by now :)
  * d/control: add new build-time test dependencies.
    A new upstream test relies on `foot` to be present on the system.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 21 Feb 2025 12:18:30 +0100
