## phrog 0.46.0

=== debian/changelog ===
phrog (0.46.0-5) unstable; urgency=medium

  * Require stevia. phosh-osk-stub is long gone and users can still install
    squeekboard but we want the default OSK installed at all times.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 07 Nov 2025 20:05:11 +0100

phrog (0.46.0-4) unstable; urgency=medium

  * debian: build with rust-nix 0.30 (Closes: #1116545)
  * d/control: build-depend on dbus-daemon instead of dbus-x11
    (Closes: #1117101)
  * d/watch: convert to version 5

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 24 Oct 2025 16:30:54 +0200

phrog (0.46.0-3) unstable; urgency=medium

  * Cherry-pick commits from upstream issue tracker
  * Install systemd units. This way we can run with gnome-session 49
  * d/control: Bump librust-phosh dependency

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 18:32:11 +0200

phrog (0.46.0-2) unstable; urgency=medium

  * d/control: add missing runtime dependencies.
    Without those, `phrog` cannot run on non-Phosh systems. (Closes: #1099910)

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 29 Mar 2025 10:35:26 +0100

phrog (0.46.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: bump Standards-Version, no change needed

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 24 Mar 2025 00:11:34 +0100
