=== debian/control ===
--- 
+++ 
@@ -17,14 +17,14 @@
  librust-greetd-ipc-0.10+sync-codec-dev,
  librust-gtk-0.18+v3-24-dev,
  librust-libhandy-0.11+v1-6-dev,
- librust-libphosh-0.0.6-dev,
- librust-nix-0.29+signal-dev,
+ librust-libphosh-0.0.7-dev,
+ librust-nix-0.30+signal-dev,
  librust-wayland-client-0.31-dev,
  librust-zbus-5+async-io-dev (>= 4.3.1~~),
  librust-zbus-5+blocking-dev (>= 4.3.1~~),
 # Dependencies needed only for tests
  at-spi2-core <!nocheck>,
- dbus-x11 <!nocheck>,
+ dbus-daemon <!nocheck>,
  foot <!nocheck>,
  gnome-settings-daemon <!nocheck>,
  gnome-shell-common <!nocheck>,
@@ -37,26 +37,28 @@
  phosh-common <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/samcday/phrog/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phrog
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phrog.git
-Rules-Requires-Root: no
 
 Package: phrog
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ accountsservice,
  at-spi2-core,
  fonts-lato,
+ gnome-session-bin,
+ gnome-session-common,
  gnome-settings-daemon,
  gnome-shell-common,
  greetd,
  librsvg2-common,
  phoc,
  phosh-common,
- phosh-osk-stub |squeekboard,
+ phosh-osk-stevia,
  polkitd,
 Conflicts: phog
 Provides: phog
