## phrog 0.50.0

=== debian/changelog ===
phrog (0.50.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patches
  * d/control: build-depend on async-global-executor v3 (Closes: #1116558)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 27 Nov 2025 16:01:03 +0100
