=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-cargo,
  librust-anyhow-1-dev (>= 1.0.82~~),
  librust-async-channel-2-dev (>= 2.2.1~~),
- librust-async-global-executor-2-dev (>= 2.4.1~~),
+ librust-async-global-executor-3-dev,
  librust-clap-4-dev (>= 4.5.4~~),
  librust-futures-util-0.3-dev (>= 0.3.30~~),
  librust-glib-0.18+log-macros-dev,
